Package org.apache.sysds.lops.compile.linearization

## Class CostBasedLinearize

- java.lang.Object
- - org.apache.sysds.lops.compile.linearization.CostBasedLinearize

    public class CostBasedLinearize
    extends Object

### Constructor Summary

Constructors
`CostBasedLinearize()`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<Lop>` `getBestOrder​(List<Lop> lops)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CostBasedLinearize

    public CostBasedLinearize()

### Method Detail

#### getBestOrder

    public static List<Lop> getBestOrder​(List<Lop> lops)